io.vertx.rxjava3.mqtt

## Class MqttTopicSubscription

- java.lang.Object
- - io.vertx.rxjava3.mqtt.MqttTopicSubscription

- All Implemented Interfaces:
    io.vertx.lang.rx.RxDelegate

      public class MqttTopicSubscription
      extends Object
      implements io.vertx.lang.rx.RxDelegate

  Represents a subscription to a topic

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<MqttTopicSubscription>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MqttTopicSubscription(MqttTopicSubscription delegate)`
    `MqttTopicSubscription(Object delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `MqttTopicSubscription` | `getDelegate()`
    `int` | `hashCode()`
    `static MqttTopicSubscription` | `newInstance(MqttTopicSubscription arg)`
    `MqttQoS` | `qualityOfService()`
    `MqttSubscriptionOption` | `subscriptionOption()` Subscription option
    `String` | `topicName()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<MqttTopicSubscription> __TYPE_ARG

  - ### Constructor Detail

    - #### MqttTopicSubscription

          public MqttTopicSubscription(MqttTopicSubscription delegate)

    - #### MqttTopicSubscription

          public MqttTopicSubscription(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public MqttTopicSubscription getDelegate()

      Specified by:
        `getDelegate` in interface `io.vertx.lang.rx.RxDelegate`

    - #### topicName

          public String topicName()

      Returns:
        Subscription topic name

    - #### qualityOfService

          public MqttQoS qualityOfService()

      Returns:
        Quality of Service level for the subscription

    - #### subscriptionOption

          public MqttSubscriptionOption subscriptionOption()

      Subscription option
      Returns:
        Subscription options

    - #### newInstance

          public static MqttTopicSubscription newInstance(MqttTopicSubscription arg)

Copyright © 2025 Eclipse. All rights reserved.